### Virtual Method

# Gio Vfs deserialize_icon

#### Declaration

    GIcon*
    deserialize_icon (
      GVfs* vfs,
      GVariant* value
    )

#### Description

No description available.

#### Parameters

`value`

  Type: `GVariant`

  No description available.

  The data is owned by the caller of the method.

#### Return value

Type: `GIcon`

No description available.

The returned data is owned by the instance.